Bug 805596 - aeolus image cli build instructions need to be updated
aeolus image cli build instructions need to be updated
Status: CLOSED CURRENTRELEASE
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dan Macpherson
dgao
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 12:30 EDT by wes hayutin
Modified: 2012-06-07 02:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 02:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2012-03-21 12:30:01 EDT
Description of problem:

Current:

Procedure 5.6. Building an Image with aeolus command line
Copy your TDL file to your CloudForms Cloud Engine host
Ensure the TDL file is stored in a location aeolus can access on your CloudForms Cloud Engine host.
Build an image for a target cloud resource provider
Run the following command:
#aeolus image build --target [TARGET] --template [FILENAME]
The following output displays for building an Amazon EC2 image:
#aeolus image build --target ec2 --template ec2-template.xml
Target Image                             Target     Status   
------------------------------------     ------     ---------
749799f5-5096-4ce4-8c96-7da8365e7f80     ec2        COMPLETED

Image                                    Build
------------------------------------     ------------------------------------
a01199a4-9bd0-46ae-9665-df07034a9357     f9e1ceec-8073-4299-8ab8-26f3d3e9ff10

#
CloudForms Cloud Engine creates a new image from the template. This image contains a build, which includes target images for specific cloud resource provider types.


##############################################

They have updated the command to include "Environment"


Examples:
aeolus-image build --target ec2 --template my.tmpl --environment default


[root@qeblade30 nodes]# aeolus image build --help
Usage: aeolus [image] [subcommand] [general options] [command options]

    -h, --help                       Get usage information for this tool

URL with credentials to Conductor are set in ~/.aeolus-cli
Conductor URL should point to https://<host_where_conductor_runs>/conductor/api
Usage: aeolus-image build [command options]

Options:
    -e, --template FILE              path to file that contains template xml
    -z, --no-validation              Do not validation the template against the TDL XML Schema
    -T, --target TARGET1,TARGET2     provider type (ec2, rackspace, rhevm, etc)
    -E, --environment ENVIRONMENT    environment to build for
    -h, --help                       Get usage information for this command

Examples:
aeolus-image build --target ec2 --template my.tmpl --environment default        # build a new image for ec2 from based on the given template for the default environment
aeolus-image build --target ec2,rhevm --template my.tmpl --environment default  # build a new image for ec2 and for rhevm based on the given template for the default environment
Comment 1 wes hayutin 2012-03-21 12:31:38 EDT
Update the following to include environment


5.6.2.3. Build options
Use the following options with the build command.
Build options
-e, --template FILE
Build an image from a TDL file. Requires a the local location of a TDL file.
-z, --no-validation
Disable TDL validation of template file.
Example 5.4. Examples for build command
Build image for a cloud resource provider:
# aeolus image build --target ec2 --template mytemplate.xml
Build image for multiple cloud resource provider:
# aeolus image build --target ec2,rhevm--template mytemplate.xml
Comment 3 wes hayutin 2012-03-30 14:55:47 EDT
assigning to dgao
Comment 4 dgao 2012-04-02 16:36:06 EDT
verified
Comment 5 Lana Brindley 2012-06-07 02:20:45 EDT
Document is now available on docs.redhat.com. Please raise a new bug for any further issues.

LKB

Note You need to log in before you can comment on or make changes to this bug.